#include <algorithm>
#include <array>
#include <climits>
#include <iostream>
using namespace std;

#define MAX_VAL 1000

/**
 * Lessons
 *  - Beware of extreme edge cases
 *  - Maximum values
 *  - Dynamic programming
 *  - Prime factorization
 */
int main() {
	int n;
	cin >> n;
	array<array<int, MAX_VAL>, MAX_VAL> twos, fives;

	int zero_row = -1, zero_col = -1;
	for(int row = 0; row < n; row++) {
		for(int col = 0; col < n; col++) {
			int val;
			cin >> val;
			if(val == 0) {
				zero_row = row, zero_col = col;
				twos[row][col] = 1, fives[row][col] = 1;
				continue;
			}
			twos[row][col] = 0, fives[row][col] = 0;
			while(val % 2 == 0) {
				twos[row][col]++, val /= 2;
			}
			while(val % 5 == 0) {
				fives[row][col]++, val /= 5;
			}
		}
	}

	for(int row = n - 1; row >= 0; row--) {
		for(int col = n - 1; col >= 0; col--) {
			if(row == n - 1 && col == n - 1) continue;
			int two = INT_MAX, five = INT_MAX;
			if(row < n - 1) {
				two = min(two, twos[row + 1][col]);
				five = min(five, fives[row + 1][col]);
			}
			if(col < n - 1) {
				two = min(two, twos[row][col + 1]);
				five = min(five, fives[row][col + 1]);
			}
			twos[row][col] += two;
			fives[row][col] += five;
		}
	}

	int ans = min(twos[0][0], fives[0][0]);
	if(ans > 1 && zero_row != -1) {
		cout << 1 << '\n';
		for(int row = 0; row < zero_row; row++) {
			cout << 'D';
		}
		for(int col = 0; col < zero_col; col++) {
			cout << 'R';
		}
		for(int row = zero_row; row < n - 1; row++) {
			cout << 'D';
		}
		for(int col = zero_col; col < n - 1; col++) {
			cout << 'R';
		}
		return 0;
	}
	cout << ans << '\n';

	array<array<int, MAX_VAL>, MAX_VAL> &dp = (twos[0][0] < fives[0][0]) ? twos : fives;

	int row = 0, col = 0;
	while(row != n - 1 || col != n - 1) {
		if(row == n - 1) {
			col++;
			cout << 'R';
		} else if(col == n - 1) {
			row++;
			cout << 'D';
		} else if(dp[row + 1][col] < dp[row][col + 1]) {
			row++;
			cout << 'D';
		} else {
			col++;
			cout << 'R';
		}
	}

	cout << '\n';

	return 0;
}

